package com.m2pool.pool.service;


import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.pool.dto.UserApiDto;
import com.m2pool.pool.vo.*;

import java.util.List;

/**
 * @Description 矿池相关服务类
 * @Date 2024/6/14 11:40
 * @Author dy
 */
public interface UserMinserService {

    public AjaxResult addMinerAccount(MinerAccountAddVo vo);

    public AjaxResult checkAccount(MinerAccountAddVo vo);

    public AjaxResult checkBalance(BalanceCheckVo vo);

    public AjaxResult checkMaAndBalance(MaBalanceCheckVo vo);

    public AjaxResult delMinerAccount(MinerAccountDelVo vo);

    public AjaxResult addBalance(AccountBalanceAddVo vo);

    public AjaxResult getAccountList();

    public AjaxResult getAccountGradeList();

    public AjaxResult getMinerAccountBalance(MinerIdVo vo);

    public AjaxResult createApiKey(ApiKeyCreateVo vo);

    public List<UserApiDto> getApiList(PageVo vo);

    public AjaxResult getApiInfo(ApiKeyInfoVo vo);

    public AjaxResult updateApi(ApiKeyUpdateVo vo);

    public AjaxResult deleteApi(ApiKeyDelVo vo);
    //
    //public AjaxResult getLuckByCoin(CoinVo com.m2pool.chat.vo);
    //
    //public List<BlockInfoDto> getBlockInfoList(CoinVo com.m2pool.chat.vo);

    //public AjaxResult getMinerAccountPower(AccountVo com.m2pool.chat.vo);
    //
    //public AjaxResult getMinerAccountInfo(AccountVo com.m2pool.chat.vo);
    //
    //public AjaxResult getAccountPowerDistribution(AccountVo com.m2pool.chat.vo);
    //
    //public AjaxResult getMinerList(MinerListVo com.m2pool.chat.vo);
    //
    //public AjaxResult getMinerPower(MinerVo com.m2pool.chat.vo);
    //
    //public AjaxResult getMinerPowerDistribution(MinerVo com.m2pool.chat.vo);
}
